| Home | Libraries | People | FAQ | More

## Struct template has_pointer_plus_bit<void *, N>

boost::intrusive::has_pointer_plus_bit<void *,N>

## Synopsis

    template<std::size_t N>
    struct has_pointer_plus_bit<void *, N> {
      static const bool value;
    };

## Description

This is an specialization for raw pointers. Raw pointers can embed an extra bit in the lower bit if the alignment is multiple of 2.